<!DOCTYPE html>
<html lang="ru">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Калькулятор</title>
    <link rel="stylesheet" href="Style.css">
</head>

<body>
    <script>
    function click1() {
        let price = document.getElementsByName("price");
        let kolvo = document.getElementsByName("kolvo");
        let r = document.getElementById("result");
        let p = price[0].value + kolvo[0].value;
        let f = 0;
        for (let i = 0; i < p.length; i++) {
            if (p.charCodeAt(i) < 48 ||
                p.charCodeAt(i) > 57 && p.charCodeAt(i) != 46) {
                alert('Вы ввели некорректные данные');
                f = 1;
            }
        }
            if (f === 1) {
                return false;
        }
            else{   r.innerHTML = price[0].value * kolvo[0].value;
                return false;
        }
         
        }
    
    window.addEventListener('DOMContentLoaded', function (event) {
        let b = document.getElementById("button");
        b.style.backgroundColor = 'green';
        b.addEventListener("click", click1);
    });
</script>
    
    <h1 class="calc">Калькулятор</h1>
    <main class="content">
        <form action="#">
            <input type="text" name="price" placeholder="Введите цену товара">
            <input type="text" name="kolvo" placeholder="Введите количество">
            <button type="button" id="button">Расчитать</button>
        </form>
        <p>Итог: <span id="result"></span></p>
    </main>
</body>

</html>